/**
 * 到期样品接口
 */
import request from '../index'
import type { IOvertimeListQuery } from '@/views/customer/sample/overTime/overtime_list_interface'
const prefix = '/meter'

// 列表查询
export function getOverTimeList(data: IOvertimeListQuery) {
  return request({
    url: `${prefix}/sample/overtime/listPage?offset=${data.offset}&limit=${data.limit}`,
    method: 'post',
    data,
  })
}

// 导出列表
export function exportOverTimeList(data: Omit<IOvertimeListQuery, 'limit' | 'offset'>) {
  return request({
    url: `${prefix}/sample/overtime/listExport`,
    method: 'post',
    responseType: 'blob',
    data,
  })
}
